# $Revision: 1.42 $, $Date: 2002/08/16 13:25:02 $
Summary:	GNOME http client library
Summary(pl):	Biblioteka funkcji klienta http
Name:		libghttp
Version:	1.0.9
Release:	5
Epoch:		1
License:	LGPL
Group:		Libraries
Source0:	ftp://ftp.gnome.org/pub/GNOME/stable/sources/libghttp/%{name}-%{version}.tar.gz
URL:		http://www.gnome.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Library for making HTTP 1.1 requests.

%description -l pl
Biblioteka funkcji umoliwiajcych realizacj zapyta HTTP 1.1.

%package devel
Summary:	GNOME http client development
Summary(pl):	Biblioteki i pliki nagwkowe libghttp
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Libraries and includes files you can use for libghttp development.

%description devel -l pl
Biblioteki i pliki nagwkowe potrzebne do programowania z
wykorzystaniem libghttp.

%package static
Summary:	GNOME http client static library
Summary(pl):	Statyczna biblioteka libghttp
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
GNOME http client static library.

%description static -l pl
Wersja statyczna biblioteki libghttp.

%prep
%setup -q

%build
%{__libtoolize}
aclocal
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_includedir}/ghttp-1.0

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install http_*.h $RPM_BUILD_ROOT%{_includedir}/ghttp-1.0

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.sh
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: libghttp.spec,v $
Revision 1.42  2002/08/16 13:25:02  qboosh
- added http_*.h headers in subdirectory (needed by some programs)
- new %%doc, release 5

Revision 1.41  2002/06/23 20:32:30  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.40  2002/05/21 23:13:45  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.39  2002/02/23 03:26:01  kloczek
- adapterized.

Revision 1.38  2002/02/22 23:29:11  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.37  2002/01/18 02:13:38  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.36  2001/09/28 03:01:01  kloczek
- release 4.

Revision 1.35  2001/09/26 11:56:47  qboosh
- BuildRequires: autoconf, automake, libtool

Revision 1.34  2001/08/12 18:55:37  blues
- release 3
- ac 2.5 ready
- adapterized + cosmetics

Revision 1.33  2001/04/28 18:32:22  kloczek
- bump release to 2.

Revision 1.32  2001/01/23 03:43:31  kloczek
- updated to 1.0.9.

Revision 1.31  2000/12/06 14:37:16  kloczek
- updated to 1.0.8,
- added %%{_libdir}/*.sh to devel.

Revision 1.30  2000/10/23 21:14:14  kloczek
- release 3, Epoch 1 (for allow upgrade from RH 7).

Revision 1.29  2000/10/19 03:01:09  kloczek
- release 2: use new rpm automation.

Revision 1.28  2000/08/16 16:07:49  kloczek
- updated to 1.0.7.

Revision 1.27  2000/06/09 07:54:43  kloczek
- more %%{__make} macros.

Revision 1.26  2000/06/09 07:23:20  kloczek
- added using %%{__make} macro.

Revision 1.25  2000/06/07 02:46:39  kloczek
- spec adapterized.

Revision 1.24  2000/05/03 22:41:00  kloczek
- updated to 1.0.6,
- prefix changed to /usr because this is not stricte X11 library.

Revision 1.23  2000/04/01 11:14:52  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.22  2000/03/28 16:54:40  baggins
- translated kloczkish into english

Revision 1.21  2000/03/06 05:10:23  kloczek
- updated to 1.0.5,
- spec adapterized,
- License changed to LGPL,
- fixed Source url.

Revision 1.20  1999/12/07 10:33:11  kloczek
- updated Source url (base now is ftp://ftp.gnome.org/pub/GNOME/sources/).

Revision 1.19  1999/07/15 19:57:03  kloczek
- added lib*.la files to devel.

Revision 1.18  1999/07/15 19:52:08  kloczek
- added using %%configure macro.

Revision 1.17  1999/07/12 23:06:06  kloczek
- added using CVS keywords in %changelog (for automating them).

* Tue May 25 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.0.2-1]
- added using macros in spec.

* Sun Mar 14 1999 Micha Kuratczyk <kura@pld.org.pl>
  [0.99-2]
- added Group(pl),
- added gzipping documentation.
